org.apache.tinkerpop.gremlin.groovy

## Class EmptyImportCustomizerProvider

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.AbstractImportCustomizerProvider
  - - org.apache.tinkerpop.gremlin.groovy.DefaultImportCustomizerProvider
    - - org.apache.tinkerpop.gremlin.groovy.EmptyImportCustomizerProvider

- All Implemented Interfaces:
    CompilerCustomizerProvider, ImportCustomizerProvider

  Deprecated.
  As of release 3.2.5, replaced by `ImportCustomizer`

      @Deprecated
      public class EmptyImportCustomizerProvider
      extends DefaultImportCustomizerProvider

  This `ImportCustomizerProvider` is empty and comes with no pre-defined imports at all.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.groovy.AbstractImportCustomizerProvider

      `DOT_STAR, EMPTY_STRING, extraImports, extraStaticImports, PERIOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyImportCustomizerProvider(ImportCustomizerProvider baseCustomizer, Set<String> extraImports, Set<String> extraStaticImports)` Deprecated. Utilizes imports defined by the supplied arguments.
    `EmptyImportCustomizerProvider(Set<String> extraImports, Set<String> extraStaticImports)` Deprecated. Utilizes imports defined by the supplied arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationCustomizer` | `create()` Deprecated. Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.
    `Set<String>` | `getAllImports()` Deprecated.
    `Set<String>` | `getImports()` Deprecated.
    `Set<String>` | `getStaticImports()` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.groovy.DefaultImportCustomizerProvider

      `initializeStatically`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.groovy.AbstractImportCustomizerProvider

      `getExtraImports, getExtraStaticImports, processImports, processStaticImports`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyImportCustomizerProvider

          public EmptyImportCustomizerProvider(Set<String> extraImports,
                                               Set<String> extraStaticImports)

      Deprecated.
      Utilizes imports defined by the supplied arguments.

    - #### EmptyImportCustomizerProvider

          public EmptyImportCustomizerProvider(ImportCustomizerProvider baseCustomizer,
                                               Set<String> extraImports,
                                               Set<String> extraStaticImports)

      Deprecated.
      Utilizes imports defined by the supplied arguments.
      Parameters:
        `baseCustomizer` - Imports from this customizer get added to the new one.

  - ### Method Detail

    - #### create

          public CompilationCustomizer create()

      Deprecated.
      Description copied from interface: `CompilerCustomizerProvider`
      Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.
      Specified by:
        `create` in interface `CompilerCustomizerProvider`
      Overrides:
        `create` in class `AbstractImportCustomizerProvider`

    - #### getImports

          public Set<String> getImports()

      Deprecated.
      Specified by:
        `getImports` in interface `ImportCustomizerProvider`
      Overrides:
        `getImports` in class `AbstractImportCustomizerProvider`

    - #### getStaticImports

          public Set<String> getStaticImports()

      Deprecated.
      Specified by:
        `getStaticImports` in interface `ImportCustomizerProvider`
      Overrides:
        `getStaticImports` in class `AbstractImportCustomizerProvider`

    - #### getAllImports

          public Set<String> getAllImports()

      Deprecated.
      Overrides:
        `getAllImports` in class `AbstractImportCustomizerProvider`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.